PIA VPN App - Linux Beta

145791019

Comments

  • @VPN, I could manage with the built-in OpenVPN client for a while, but I know what you're saying. Linux support at least somewhat on-par with the Apple and Microsoft offerings will win people over.

    Hell without Linux and OSS we would all be reduced to logging into one of only two available AOL/Compuserve (!) type walled systems by those two companies. There would be no longer be internet as we know it.

    Most internet-based businesses depend heavily on Linux and OSS just to be able to operate so it would be nice if they would return some favour to the community and didn't treat the users as pariahs. I'm not blaming PIA here since they could be even worse, but there's a growing and largely security-aware group of users just waiting to be treated with due respect. And then there's the network effect when Linux is supported. Month-by-month subscriptions aren't that enticing, nor the annual one's if some other provider comes up with proper Linux support next week.

    The stock Linux OpenVPN client works with every seedy pimpmyvpn site so there's that. It's the commitment to providing the features reliably (easy switching, kills, leaks, proxies etc.).

    I hear there might another beta in the horizon after six months lull?
  • edited April 2014 Posts: 4
    Beta app isn't working, for me, on Ubuntu 14.04, 64-bit desktop edition. Seems to install fine, but constantly cycles between red/off-green (not connected/connecting) and doesn't appear to connect at all. I'd love to try to the Alpha app, but it appears to have been removed from its original link. Can PIA either fix this for Ubuntu or can someone link the Alpha app? Thanks!
    Post edited by rainwalker on
  • Posts: 1
    After a while of being in alpha we're now releasing an official beta of the PIA Linux app.
    Download here: https://mega.co.nz/#!tt9QgD4T!e3BzCCiCDRaN_p3bMReCAUjiFRNR1qAXqpAyT2pBjVUsha256sum: ;c6548aef0a372d1e7f844d19b9cc20877e9bd1effcf55fe312117187df852d22
    Run with:
    chmod +x installer_linux.sh./installer_linux.sh
    Release notes:- Should work on 32 and 64bit Linux- Should work on any system that supports the App Indicators notification area system (most modern Linuxes)- Has been tested on Ubuntu 12.04/13.04 32/64bit stock installs as well as Linux Mint 15 Cinnamon 32bit
    - The installer will attempt to apt-get install 4 dependencies: libjpeg62, libxss1, libappindicator1, libgail18- The installer will create an application launcher entry in ~/.local/share/applications- The installer will create an entry in ~/.config/autostart for automatic start on login  - But this can be controlled through the app as usual
    - The installer will create a ~/pia.sh script for starting the app from a terminal- Installer and app should be run as your normal login user and _not_ as root
    Update Wed Nov  6 02:28:39 UTC 2013The last version of the installer had an issue which caused it not to work correctly on 32bit machines.  This is fixed and the installer link has been updated.  Thanks to martywd for helping figure out the issue.

    Update Sun Nov 10 10:56:03 UTC 2013
    Installer will now apt-get install libgail18 and libappindicator1 in case they are not already present.  Installer link has been updated.

    Update Sun Dec  8 22:07:53 UTC 2013
    v.35 update.  Installer link has been updated.

    Update Tue Dec 10 00:07:45 UTC 2013
    Fixed dns issue, now uses correct PIA nameservers.  Thanks to martywd.  Installer link has been updated.
    My client says that there is an update available where do I get that?
  • Posts: 186
    @rainwalker

    Did you read Aguy's post about 15 posts above you?  It might help.  Or, maybe the new beta app will fix the problem.  I can only assume it'll be posted really soon...

    Aguy has another post since his first.  Make sure you scroll up enough to read them both.
    :)
  • I wouldn't expect it any time soon. There isn't even a place for it on the main website - we have to download it from the forum linked to a 3rd party server. Expect to wait a while fellows - there doesn't seem to be the same concern for a linux version compared to mac and windows. The way things have been lately - I'de expect to wait a month. It might be faster for me to just download the Windows version and try to get the dam thing working in WINE lol.
  • Posts: 4,013
    "MEGA Firefox extension
    To download files larger than 1GB, please install our browser extension."

    Is it just me?
    Just check the "Do not show again" box and it will finally allow the download. And in a moment, I will add it to my Dropbox account and link it in so you have another choice.
    image
    And here is the link.
    https://www.dropbox.com/s/4f0jiwtna5a60qm/installer_linux.sh

    *Edit* Reposting the same old message with a minor snip. This is for those of you who cannot get the download to work from the original post. Just grab the Dropbox file and you have it.

    Someone please let me know if Dropbox does not work for Linux or some other situation and I will find a host that does work.
  • Posts: 61
    @OmniNegro typed:  Someone please let me know if Dropbox does...

    Yes your Dropbox download link does work.  md5sum and sha1sum checkout ok.  Much faster then the PIA oem link in the first post to this thread.
    .

  • Posts: 4,013
    @OmniNegro typed:  Someone please let me know if Dropbox does...

    Yes your Dropbox download link does work.  md5sum and sha1sum checkout ok.  Much faster then the PIA oem link in the first post to this thread.
    .

    Thanks. I do appreciate the verification. ;)
  • edited May 2014 Posts: 33
    @Support @PIA

    Now that Windows XP is dead, I am setting up a new system with Lubuntu 14.04 (amd64).  I successfully downloaded and installed the PIA app.  The installed version is:  0.35.

    The kill switch is not ticked and because of the warning, I have not tried it yet.   I have the app set to autologon at boot and my default is set to Canada-Toronto, because I need port forwarding.  For testing I also tried US-East, but that did not make a difference.

    Reading through the posts, I have two problems that seem to be very common.  I do not see any posted solutions...

    1.  When I click on PIA icon in the system tray, it says "Update Available"
      a)  I tried sudo apt-get update followed by sudo apt-get upgrade.  This did not install the update.
    b)  I looked in Synaptic Package manager for any Upgradeable (upstream) applications, but none are listed.

    My educated guess is that the PIA client, is unaware of what OS it is in, and that this comes up when the client is updated to a new version, even if there is not a new installer available for Linux.  Could someone at PIA confirm or correct that guess?

    2.  The PIA app cycles through Red-Green but never connects.

    There are logs to be found.  With my installation, these are in:  ~./.pia_manager/log .  On my installation, this folder is hidden, so I had to "show hidden files" in my file manager.

    This sequence from openvpn.log seems to repeat every time I try to connect :

    Wed Apr 30 20:32:10 2014 OpenVPN 2.2.2 x86_64-unknown-linux-gnu [SSL] [LZO2] [EPOLL] [eurephia] built on Dec  6 2013
    Wed Apr 30 20:32:10 2014 WARNING: file '/home/randy/.pia_manager/data/user_pass.txt' is group or others accessible
    Wed Apr 30 20:32:10 2014 NOTE: the current --script-security setting may allow this configuration to call user-defined scripts
    Wed Apr 30 20:32:10 2014 LZO compression initialized
    Wed Apr 30 20:32:10 2014 UDPv4 link local: [undef]
    Wed Apr 30 20:32:10 2014 UDPv4 link remote: 162.219.179.250:8080
    Wed Apr 30 20:32:10 2014 WARNING: this configuration may cache passwords in memory -- use the auth-nocache option to prevent this
    Wed Apr 30 20:32:10 2014 WARNING: 'link-mtu' is used inconsistently, local='link-mtu 1558', remote='link-mtu 1542'
    Wed Apr 30 20:32:10 2014 WARNING: 'cipher' is used inconsistently, local='cipher AES-128-CBC', remote='cipher BF-CBC'
    Wed Apr 30 20:32:10 2014 Data Channel Encrypt: Cipher 'AES-128-CBC' initialized with 128 bit key
    Wed Apr 30 20:32:10 2014 Data Channel Encrypt: Using 160 bit message hash 'SHA1' for HMAC authentication
    Wed Apr 30 20:32:10 2014 Data Channel Decrypt: Cipher 'AES-128-CBC' initialized with 128 bit key
    Wed Apr 30 20:32:10 2014 Data Channel Decrypt: Using 160 bit message hash 'SHA1' for HMAC authentication
    Wed Apr 30 20:32:10 2014 Control Channel: TLSv1.2, cipher TLSv1/SSLv3 DHE-RSA-AES256-GCM-SHA384, 2048 bit RSA
    Wed Apr 30 20:32:10 2014 [server] Peer Connection Initiated with 162.219.179.250:8080
    Wed Apr 30 20:32:12 2014 TUN/TAP device tun0 opened
    Wed Apr 30 20:32:12 2014 /sbin/ifconfig tun0 10.196.1.6 pointopoint 10.196.1.5 mtu 1500
    Wed Apr 30 20:32:12 2014 Initialization Sequence Completed

    Here is the corresponding sequence from pia_tray.1398909478.log:

    [3/30/114 21:57:58] opening command file
    [3/30/114 21:57:58] created status file: (Filesystem.FileStream) { MODE_APPEND : 2i, MODE_READ : 1i, MODE_WRITE : 3i, close : <StaticBoundMethod at 0x21ee1c0>, isOpen : <StaticBoundMethod at 0x21edf20>, open : <StaticBoundMethod at 0x21edcc0>, read : <StaticBoundMethod at 0x21eedc0>, readLine : <StaticBoundMethod at 0x21ef0c0>, ready : <StaticBoundMethod at 0x21ef6c0>, seek : <StaticBoundMethod at 0x21ee4c0>, tell : <StaticBoundMethod at 0x21ee7c0>, write : <StaticBoundMethod at 0x21eeac0>, writeLine : <StaticBoundMethod at 0x21ef3c0>}
    [3/30/114 21:57:59] opening command file
    [3/30/114 21:57:59] getting initial connection status
    [3/30/114 21:57:59] setting up tray
    [3/30/114 21:57:59] setup polling: connection_status 2000
    [3/30/114 21:57:59] setup polling: other_info 5000
    [3/30/114 21:57:59] sent cmd: 0: {"user":"p1113736","pass":"","cmd":"set_user"}
    [3/30/114 21:57:59] sent cmd: 1: {"value":true,"cmd":"portforward"}
    [3/30/114 21:57:59] sent cmd: 2: {"value":false,"cmd":"killswitch"}
    [3/30/114 21:57:59] sent cmd: 3: {"value":false,"cmd":"dnsleak"}
    [3/30/114 21:57:59] sent cmd: 4: {"value":true,"cmd":"ipv6leak"}
    [3/30/114 21:57:59] connect at startup
    [3/30/114 21:57:59] connect()
    [3/30/114 21:57:59] sent cmd: 5: {"region":"us2","user":"p1113736","pass":"","proto":"openvpn_udp","lport":"","rport":"auto","symmetric_cipher":"aes-128-cbc","symmetric_auth":"sha1","handshake_enc":"rsa2048","cmd":"connect"}
    [3/30/114 21:57:59] setup polling: connection_status 500
    [3/30/114 21:57:59] stop polling connection_status
    [3/30/114 21:58:1] connect() because set_connection_status: AUTH down
    [3/30/114 21:58:1] connect()
    [3/30/114 21:58:1] sent cmd: 6: {"region":"us2","user":"p1113736","pass":"","proto":"openvpn_udp","lport":"","rport":"auto","symmetric_cipher":"aes-128-cbc","symmetric_auth":"sha1","handshake_enc":"rsa2048","cmd":"connect"}
    [3/30/114 21:58:1] setup polling: connection_status 500
    [3/30/114 21:58:1] stop polling connection_status
    [3/30/114 21:58:4] sent cmd: 7: {"cmd":"keepalive"}
    [3/30/114 21:58:5] connect() because set_connection_status: AUTH down
    [3/30/114 21:58:5] connect()
    [3/30/114 21:58:5] sent cmd: 8: {"region":"us2","user":"p1113736","pass":"","proto":"openvpn_udp","lport":"","rport":"auto","symmetric_cipher":"aes-128-cbc","symmetric_auth":"sha1","handshake_enc":"rsa2048","cmd":"connect"}
    [3/30/114 21:58:5] setup polling: connection_status 500
    [3/30/114 21:58:5] stop polling connection_status
    [3/30/114 21:58:7] connect() because set_connection_status: AUTH down
    [3/30/114 21:58:7] connect()
    [3/30/114 21:58:7] sent cmd: 9: {"region":"us2","user":"p1113736","pass":"","proto":"openvpn_udp","lport":"","rport":"auto","symmetric_cipher":"aes-128-cbc","symmetric_auth":"sha1","handshake_enc":"rsa2048","cmd":"connect"}
    [3/30/114 21:58:7] setup polling: connection_status 500
    [3/30/114 21:58:7] stop polling connection_status
    [3/30/114 21:58:9] sent cmd: 10: {"cmd":"keepalive"}
    [3/30/114 21:58:11] connect() because set_connection_status: AUTH down
    [3/30/114 21:58:11] connect()
    [3/30/114 21:58:11] sent cmd: 11: {"region":"us2","user":"p1113736","pass":"","proto":"openvpn_udp","lport":"","rport":"auto","symmetric_cipher":"aes-128-cbc","symmetric_auth":"sha1","handshake_enc":"rsa2048","cmd":"connect"}
    [3/30/114 21:58:11] setup polling: connection_status 500
    [3/30/114 21:58:11] stop polling connection_status
    [3/30/114 21:58:13] connect() because set_connection_status: AUTH down
    [3/30/114 21:58:13] connect()
    [3/30/114 21:58:13] more than 5 connections in under 3 mins, wont reconnect
    [3/30/114 21:58:13] sent cmd: 12: {"region":"us2","user":"p1113736","pass":"","proto":"openvpn_udp","lport":"","rport":"auto","symmetric_cipher":"aes-128-cbc","symmetric_auth":"sha1","handshake_enc":"rsa2048","cmd":"connect"}
    [3/30/114 21:58:13] setup polling: connection_status 500
    [3/30/114 21:58:13] stop polling connection_status
    [3/30/114 21:58:14] sent cmd: 13: {"cmd":"keepalive"}
    [3/30/114 21:58:19] sent cmd: 14: {"cmd":"keepalive"}
    [3/30/114 21:58:24] sent cmd: 15: {"cmd":"keepalive"}
    [3/30/114 21:58:29] sent cmd: 16: {"cmd":"keepalive"}

    What else might I provide to help PIA developers help me?

    What seems like 1000 years ago, I was doing some scrpting with OpenVPN and the PIA client.  I have this vague recollection that one of my first problems connecting was creating a certificate or key that had to be the same every time I connected.  I am wondering if that has not been done by the installer of if it was put in the wrong place if it was...

    Last, but not least, I understand that because this is beta, standard trouble tickets and support requests are pointless.  What I would also like to know from PIA, though:  Is this thread in the user forum the only method of communication, or is there some kind of mailing list I can to join to help with developing the beta? (or IRC channels, fora in other locations, whatever...)

    Thank you!

    Post edited by LambdaFox on
  • LOL a mailing list. HAHAHAH. Sorry I just found that insanely funny. Naw bro, there isnt any mailing lists, and there is terrible communication between users and dev's here. Basically how it works is, we request features and discuss them on the forum - and hope that someone is listening. Need to say.. after a year, I have come to the conclusion that "no", they aren't listening. lol
  • I could understand that with the new Ubuntu LTS version just having been released this might be a time for PIA support to be busy with finalizing compatibility with that version (also the basis for the upcoming Mint 17 release), but this lack of responsiveness doesn't seem to be only a recent thing and that implies simple and worrying lack of resources.

    When (or if) the PIA VPN app for Linux eventually exits beta, what are the chances that PIA support's responsiveness suddenly improves? That app is expected to incorporate important security precautions over the functional but plain Network Manager OpenVPN setup so it's no wonder people want to know what's going on.

    For now PIA has good reputation, simple and affordable rates, policies and a good network to build upon. Unlike many competitors they have a forum with knowledgeable regulars willing to share their know-how and experiences. Having on-par Linux support could be a real success story if it wasn't for this one thing: Lack of communication keeping their customers in the dark.

    A roadmap or schedule of some sort and some sign that the forums aren't just for customers chatting among themselves would be a good step forward.
  • Hey the dropboxed client works for me on ubuntu 13.x running as a virtual box.  I was happy with the scripts PIA provides, except I can't find a satisfactory Kill Switch...hoping that the kill switch will work as it does for the windows app...  Thanks again for putting it in dropbox.
  • Some preliminary testing and the Kill Switch seems to work for Ubuntu 13.x, at least in scenarios like restarting a suspended virtual machine.  Yay! 

    To be more specific, I am using an image I got at:
    http://virtualboxes.org/images/ubuntu/
    the Ubuntu Linux 13.04 x86 image.
  • VPNVPN
    edited May 2014 Posts: 795
    @LambdaFox

    1. PIA Manager is not installed via your packet manager. The only way to install updates is to download the app from this thread. No newer version has been posted for Linux, but updates for the Windows (and probably Mac) versions have been posted recently, which is probably why the notification shows up.


    2. Other users have reported the same issue, so far no PIA comment has been seen on it:
    https://www.privateinternetaccess.com/forum/index.php?p=/discussion/comment/15626#Comment_15626
    https://www.privateinternetaccess.com/forum/index.php?p=/discussion/comment/15659#Comment_15659
    https://www.privateinternetaccess.com/forum/index.php?p=/discussion/comment/15944#Comment_15944


    There is an IRC channel, and a pinned thread should exist about it with information where to find it.
    Post edited by VPN on
  • Posts: 68
    @VPN: I need your help and advice.  I wanted to try linux and installed ubuntu 14.04 and the pia app worked well within that environment.  Just for the looks of the desktop, I changed over to Kubuntu 14.04 and everything is fine except I don't know how to run the app any more. When I run it the little green man dances for a while but I don't get the window where I can input my username and password.  I spent an hour looking for ways to make it work but I reached the end of my limits. I will have to go back to Ubuntu unless I get some advice how to make it work.  
    I can't see Ubuntu 14.04 and Kubutu 14.04 being that different.
    Thanks in advance
  • VPNVPN
    Posts: 795
    Yeah, I can't help you there. No idea what the software actually does, because I stay the hell away from it unless it comes with source code.
  • Posts: 68
    Thanks.  I think I will have to go back to Ubuntu then.  I never thought there would be that much of a difference.
  • Posts: 68
    Ok. I got it working.  For anyone else using Kubuntu, here is how to do it.  By default, Kubuntu doesn't install network manager.  You have to do that with the following command
    sudo apt-get install network-manager-gnome

    After that the app works normally wherein you can input the name and password etc.  Then the icon sits on the bottom right.  Right clicking on it will bring up the context menu where you can choose which server you want to connect.
  • Posts: 222
    @nmrman It's because of the way PIA have written the app. It depends on network-manager-gnome which is part of the Gnome desktop environment. By its nature, Kubuntu is KDE based not Gnome based, meaning the missing Gnome package will have to be installed to make the thing run. It's the same on other desktop environments too (Cinnamon, MATE, OpenBox, LXDE etc). You may ('may') find that the port forwarding section of the context menu is missing in Kubuntu, in which case you'll need to manually forward ports from the command line (there's a thread pinned in this forum).
  • Posts: 68
    @rainmakerraw: thanks for that explanation.  I am new to linux and just getting my system setup.  I have a safety net in a bootable windows partition should something go wrong.  I liked ubuntu but wanted to try other flavours. I had the whole thing working for a week and then, just for the looks, changed over to Kubuntu.  What is you said about the KDE is exactly why it didn't work.  I wrote the above just for people like me stumbling into this thread. Actually, the port forward seems to work--I see a port in there and tried a Linux torrent and it worked.  
    Thanks for your support and if I run into trouble I know whom to ask now.
  • Posts: 222
    @nmrman You're exactly right. It didn't used to work in the betas but they seem to have fixed something since then. It's always a nice gesture to leave the solution for other people who find threads when they have the same problem. I always try to do so myself, but not many people seem to these days, which is sad.

    I'm actually evaluating Kubuntu 14.04 myself at present, as it's a nice speed improvement on the last few releases. I'm probably going to stick with KaOS or Fedora 20 in the end but Kubuntu 14.04 really is a great step up. That said, F20 annoys the hell out of me because they've broken openvpn in it lol
  • Posts: 68
    I need a lot of time to graduate to Fedora or other similar builds.  But, I like Kubuntu so far.  Now I realize how bloated windows is. 
  • VPNVPN
    Posts: 795
    And that's saying something, seeing how bloated KDE is ;)
  • XeNXeN
    edited May 2014 Posts: 5
    During use of the PIA vpn program, i noticed at the top of the right click menu it says upgrade available. Downloaded a few versions off here and it still says upgrade available. Is there a new version im simply overlooking ?


    Post edited by XeN on
  • VPNVPN
    Posts: 795
    @XeN, you didn't overlook anything: Updates are available for Win and Mac (v.36), but the message shows on all OSs.
  • Posts: 68
    @VPN: you may be right about KDE being bloated.  I found that it was the perfect bridge to cross from windows.  
  • edited May 2014 Posts: 4
    Progress? I tried running run.sh (located at: ~/.pia_manager/pia_manager/) and this was the only error that kept appearing, while my app switched between red and green:

    modprobe: ERROR: could not insert 'ip6_tables': Operation not permitted
    ip6tables v1.4.21: can't initialize ip6tables table `filter': Table does not exist (do you need to insmod?)
    Perhaps ip6tables or your kernel needs to be upgraded.

    Did some searching but couldn't find any good fixes. I suspect that others may be having the same error. Any thoughts on how to fix this?

    EDIT: SOLVED. I encrypt both my hard drive and my home directory so I was a little worried that the encryption might be interfering with the app. However, before reinstalling w/o encryption, I tried simply creating a new user and reinstalling the app. Success! So, delete and recreate your first user account, then reinstall the app. Hopefully, there is now a happy green droid atop your taskbar :D  I would add that this is probably much more likely to work, for you, if you were experiencing the same error that I discussed, above (which you can test by attempting to run /home/your_user/.pia_manager/pia_manager/run.sh).

    GOOD LUCK!!
    Post edited by rainwalker on
  • Posts: 13
    I am just curious why a client application is needed for Linux? Itsn't it better to set up the VPN through Networkmanager for easy access? Is the application for Linux distros that doesn't have OpenVPN capabilities?
  • Posts: 222
    I am just curious why a client application is needed for Linux? Itsn't it better to set up the VPN through Networkmanager for easy access? Is the application for Linux distros that doesn't have OpenVPN capabilities?
    The application allows for varying encryption levels not supported by PIA for connections made via networkmanager. So you're missing out on higher encryption if that's what you're after. The app also transparently handles port forwarding and iptables (Linux's firewall) so the user doesn't need to mess around with scripts or manual curl requests.

    Overall though I agree, it's just easier to forward a port via curl/script and allow that port via the iptables/ufw in terminal or else by GUFW etc. At least you're using open source software that way.
  • Posts: 5
    Seeing as I cannot get this to work under Mint Cinnamon 16 64 bit, I thought I'd give the new release, Mint 17 a fly.
    Installed linux on a spare partition, ran the PIA installer script and after a few hiccups the app works great.
    So, to the next step....my full-time home directory is on a separate partition so I now had to go through the steps to link it up with Mint 17. All worked as planned except for one little thing...the vpn app no longer works. Goes through the red/green/red/green cycle as per
    earlier attempts at this. I've deleted everything associated with the app that was in this home directory & re-installed...several times....to no avail.
    It's very , very frustrating.  I'm not sure I want to do a complete fresh install including establishing a new home directory, just to get one app to work but I'll consider it. 
    Obviously I have something installed in my old home dir which is breaking the vpn app but how to work it out without a slow re-install of everything is a mystery.
Sign In or Register to comment.